# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	What modules shipped with versions of perl
Name:		perl-Module-CoreList
Epoch:		1
Version:	3.07
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Module-CoreList/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/Module-CoreList-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Pod::Usage)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(version) >= 0.88
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
BuildArch:	noarch

%description
Module::CoreList - what modules shipped with versions of perl.

%prep
%setup -q -n Module-CoreList-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README*
%{_bindir}/corelist
%{perl_vendorlib}/Module/
%{_mandir}/man1/corelist.1*
%{_mandir}/man3/Module::CoreList.3pm*
%{_mandir}/man3/Module::CoreList::Utils.3pm*

%changelog
* Mon Feb 24 2014 Paul Howarth <paul@city-fan.org> 1:3.07-1
- Update to 3.07
  - Fix for is_core tests and perls ending in 0

* Thu Feb 20 2014 Paul Howarth <paul@city-fan.org> 1:3.06-2
- Use upstream fix for string/numeric format confusion in v5.10.0
  (Perl RT#121287)

* Thu Feb 20 2014 Paul Howarth <paul@city-fan.org> 1:3.06-1
- Update to 3.06
  - Updated for 5.19.9
  - Fix Module::CoreList::is_core default perl version
  - Fix Module::CoreList::is_core version comparision
- Add patch to fix string/numeric format confusion in v5.10.0

* Tue Jan 21 2014 Paul Howarth <paul@city-fan.org> 1:3.04-1
- Update to 3.04
  - Prepared for v5.19.8

* Tue Jan  7 2014 Paul Howarth <paul@city-fan.org> 1:3.03-1
- Update to 3.03
  - Updated for v5.18.2

* Sat Dec 21 2013 Paul Howarth <paul@city-fan.org> 1:3.02-1
- Update to 3.02
  - Updated for v5.19.7
  - Added CGI et al deprecation status

* Thu Nov 21 2013 Paul Howarth <paul@city-fan.org> 1:3.01-1
- Update to 3.01
  - Finalized for v5.19.6

* Mon Oct 21 2013 Paul Howarth <paul@city-fan.org> 1:3.00-1
- Update to 3.00
  - Updated for v5.19.5
  - Exported %%delta
  - Fixed bug in is_core(): it was naively assuming a linear sequence of
    releases, rather than the tree with multiple branches

* Fri Sep 20 2013 Paul Howarth <paul@city-fan.org> 1:2.99-1
- Update to 2.99
  - Updated for v5.19.4
  - Fixed Module::Build core deprecation
  - changes_between now has the same API as all other functions
  - Added is_core(), which returns true if a module is/was core in a specific
    version of Perl; can optionally specify minimum version of the module

* Tue Aug 20 2013 Paul Howarth <paul@city-fan.org> 1:2.97-1
- Update to 2.97
  - Updated for v5.19.3

* Mon Aug 12 2013 Paul Howarth <paul@city-fan.org> 1:2.96-1
- Update to 2.96
  - Utils module listing all utilities released with core
  - Prepared for v5.19.3
  - Updated for v5.18.1

* Mon Jul 22 2013 Paul Howarth <paul@city-fan.org> 1:2.94-1
- Update to 2.94
  - Updated for v5.19.1
  - Updated for v5.19.2
  - Utils module removed again

* Tue Jul 16 2013 Paul Howarth <paul@city-fan.org> 1:2.92-2
- Perl 5.18 rebuild

* Fri Jun 21 2013 Paul Howarth <paul@city-fan.org> 1:2.92-1
- Update to 2.92
  - Make switches case-sensitive (keep -d and -D distinct)
  - Correct omission of Text::Soundex and File::CheckTree from deprecations
  - Switch %%deprecated to a delta hash
  - Added Utils module

* Mon May 20 2013 Paul Howarth <paul@city-fan.org> 1:2.91-1
- Update to 2.91
  - Updated for v5.19.0

* Sat May 18 2013 Paul Howarth <paul@city-fan.org> 1:2.90-1
- Update to 2.90
  - Updated for v5.18.0

* Tue Apr 23 2013 Paul Howarth <paul@city-fan.org> 1:2.88-1
- Update to 2.88
  - Include deprecations for v5.17.10 and v5.17.11

* Sun Apr 21 2013 Paul Howarth <paul@city-fan.org> 1:2.87-1
- Update to 2.87
  - Updated for v5.17.11

* Fri Mar 22 2013 Paul Howarth <paul@city-fan.org> 1:2.85-1
- Update to 2.85
  - Updated for v5.17.10

* Tue Mar 12 2013 Paul Howarth <paul@city-fan.org> 1:2.84-1
- Update to 2.84
  - Updated for v5.16.3

* Mon Mar 11 2013 Paul Howarth <paul@city-fan.org> 1:2.83-1
- Update to 2.83
  - Updated for v5.14.4

* Thu Feb 21 2013 Paul Howarth <paul@city-fan.org> 1:2.82-1
- Update to 2.82
  - Updated for v5.17.9
  - Add modules deprecated with v5.17.9
  - Add --feature switch
  - Add --upstream switch

* Sun Jan 20 2013 Paul Howarth <paul@city-fan.org> 1:2.80-1
- Update to 2.80
  - Updated for v5.17.8
  - v5.17.7 contained Module::CoreList::TieHashDelta 2.79, not 2.78

* Tue Dec 18 2012 Paul Howarth <paul@city-fan.org> 1:2.79-1
- Update to 2.79
  - Updated for v5.17.7
  - Errno was added in 5.5, not in 5.5.4

* Wed Nov 21 2012 Paul Howarth <paul@city-fan.org> 1:2.78-1
- Update to 2.78
  - Updated for v5.17.6
  - Fix hash order dependency bug in deprecated_in(); tests would fail or
    succeed depending on the order keys() returned the version list

* Mon Nov 12 2012 Paul Howarth <paul@city-fan.org> 1:2.77-1
- Update to 2.77
  - Updated for v5.12.5
  - deprecated_in() function added
  - corelist reports deprecated data
- BR: perl(List::Util)
- This release by BINGOS -> update source URL

* Thu Nov  1 2012 Paul Howarth <paul@city-fan.org> 1:2.76-1
- Update to 2.76
  - Updated for v5.16.2
- This release by RJBS -> update source URL

* Sat Oct 20 2012 Paul Howarth <paul@city-fan.org> 1:2.75-1
- Update to 2.75
  - Updated for v5.17.5

* Sat Oct 13 2012 Paul Howarth <paul@city-fan.org> 1:2.74-1
- Update to 2.74
  - Updated for v5.14.3

* Thu Sep 20 2012 Paul Howarth <paul@city-fan.org> 1:2.73-1
- Update to 2.73
  - Updated for v5.17.4

* Tue Aug 21 2012 Paul Howarth <paul@city-fan.org> 1:2.72-1
- Update to 2.72
  - Fix for older perls
- Drop patch for CPAN RT#79109, included in upstream release

* Mon Aug 20 2012 Paul Howarth <paul@city-fan.org> 1:2.71-1
- Update to 2.71
  - Updated for v5.17.3
- Add patch to avoid each $scalar in TieHashDelta.pm (CPAN RT#79109)

* Thu Aug  9 2012 Paul Howarth <paul@city-fan.org> 1:2.70-1
- Update to 2.70
  - Updated for v5.16.1

* Fri Jul 20 2012 Paul Howarth <paul@city-fan.org> 1:2.69-1
- Update to 2.69
  - Updated for v5.17.2

* Thu Jun 21 2012 Paul Howarth <paul@city-fan.org> 1:2.68-1
- Update to 2.68
  - Updated for v5.17.1

* Sat May 26 2012 Paul Howarth <paul@city-fan.org> 1:2.67-1
- Update to 2.67
  - Updated for v5.17.0

* Mon May 21 2012 Paul Howarth <paul@city-fan.org> 1:2.66-1
- Update to 2.66
  - Add the --diff option to compare two perl core modlibs

* Tue Mar 20 2012 Paul Howarth <paul@city-fan.org> 1:2.65-1
- Update to 2.65
  - Separate the POD
  - Update for v5.15.9
  - Update of Data::Dumper and XS::APItest
  - Update of lib/charnames
- BR: perl(Getopt::Long) and perl(Pod::Usage)
- Don't need to remove empty directories from the buildroot
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Tue Feb 21 2012 Paul Howarth <paul@city-fan.org> 1:2.61-1
- Update to 2.61
  - Updated for v5.15.8

* Fri Jan 20 2012 Paul Howarth <paul@city-fan.org> 1:2.60-1
- Update to 2.60
  - Updated for v5.15.7

* Wed Dec 21 2011 Paul Howarth <paul@city-fan.org> 1:2.59-1
- Update to 2.59
  - Updated for v5.15.6

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> 1:2.58-1
- Bump epoch to match Fedora perl package (#754641)

* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> 2.58-1
- Update to 2.58
  - Updated for v5.15.5

* Fri Oct 21 2011 Paul Howarth <paul@city-fan.org> 2.57-1
- Update to 2.57
  - Updated for v5.15.4

* Wed Sep 21 2011 Paul Howarth <paul@city-fan.org> 2.56-1
- Update to 2.56
  - Updated for v5.15.3
  - Corrected version of Module::CoreList shipped with v5.10.0
  - Corrected Errno being shipped with v5.6.0 and v5.6.1
  - Corrected VMS::Filespec being shipped with v5.12.3
  - Corrected DB_File being shipped with v5.8.2
  - Added http://perlpunks.de/corelist to SEE ALSO

* Sun Aug 21 2011 Paul Howarth <paul@city-fan.org> 2.55-1
- Update to 2.55
  - Updated for v5.15.2

* Thu Jul 21 2011 Paul Howarth <paul@city-fan.org> 2.54-2
- Rebuild for perl 5.14.1 in Rawhide

* Thu Jul 21 2011 Paul Howarth <paul@city-fan.org> 2.54-1
- Update to 2.54
  - Updated for v5.15.1

* Thu Jul 14 2011 Paul Howarth <paul@city-fan.org> 2.53-1
- Update to 2.53
  - Added release date option '-r' to corelist
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> 2.52-1
- Update to 2.52
  - Extraneous modules listed (CPAN RT#69108)

* Tue Jun 21 2011 Paul Howarth <paul@city-fan.org> 2.51-1
- Update to 2.51
  - Updated for v5.12.4, v5.14.1 and v5.15.0
- This release by BINGOS -> update source URL

* Sun May 15 2011 Paul Howarth <paul@city-fan.org> 2.49-1
- Update to 2.49
  - Updated for 5.14.0
- Nobody else likes macros for commands

* Mon Mar 21 2011 Paul Howarth <paul@city-fan.org> 2.46-1
- Update to 2.46
  - Sanity check values before doing ->isa on them (CPAN RT#59511)
  - Updated for 5.13.11

* Mon Feb 21 2011 Paul Howarth <paul@city-fan.org> 2.45-1
- Update to 2.45 (updated for 5.13.10)

* Sun Jan 23 2011 Paul Howarth <paul@city-fan.org> 2.44-1
- Update to 2.44 (updated for 5.12.3, merged 5.12.3 and 5.13.9)

* Mon Dec 20 2010 Paul Howarth <paul@city-fan.org> 2.42-1
- Update to 2.42 (updated for 5.13.8)

* Mon Nov 22 2010 Paul Howarth <paul@city-fan.org> 2.41-1
- Update to 2.41 (updated for 5.13.7)

* Thu Oct 21 2010 Paul Howarth <paul@city-fan.org> 2.40-1
- Update to 2.40 (updated for 5.13.6)

* Mon Sep 20 2010 Paul Howarth <paul@city-fan.org> 2.39-1
- Update to 2.39 (updated for 5.13.5)

* Tue Sep  7 2010 Paul Howarth <paul@city-fan.org> 2.38-1
- Update to 2.38 (updated for 5.12.2)

* Mon Aug 23 2010 Paul Howarth <paul@city-fan.org> 2.37-1
- Update to 2.37
  - Updated for 5.13.4
  - Remove 'Filespec' module (never in core, should have been 'VMS::Filespec')

* Wed Jul 21 2010 Paul Howarth <paul@city-fan.org> 2.36-1
- Update to 2.36 (updated for 5.13.3)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 2.35-1
- Update to 2.35 (updated for 5.13.2)

* Fri May 21 2010 Paul Howarth <paul@city-fan.org> 2.34-1
- Update to 2.34 (updated for 5.13.1)

* Mon May 17 2010 Paul Howarth <paul@city-fan.org> 2.33-1
- Update to 2.33
  - Format Perl versions >= 5.6.0 as X.Y.Z (CPAN RT#56740)
  - Amend functional interface to make calling conventions consistent
  - Document all functions and all hash structures
  - Fix functions with edge-case involving querying for Module::CoreList itself
  - Add removed_from() and removed_from_by_date() functions
  - Amend corelist utility to use new removed from functions
  - Add tests to the testsuite to cover the edge-cases and new functions

* Wed Apr 21 2010 Paul Howarth <paul@city-fan.org> 2.31-1
- Update to 2.31 (updated for 5.13.0)

* Tue Apr 13 2010 Paul Howarth <paul@city-fan.org> 2.29-1
- Update to 2.29 (updated for 5.12.0)

* Mon Feb 22 2010 Paul Howarth <paul@city-fan.org> 2.26-1
- Update to 2.26 (updated for 5.11.5)
- New upstream maintainer -> new source URL

* Thu Jan 21 2010 Paul Howarth <paul@city-fan.org> 2.25-1
- Update to 2.25 (updated for 5.11.4)
- New upstream maintainer -> new source URL

* Tue Dec 22 2009 Paul Howarth <paul@city-fan.org> 2.24-1
- Update to 2.24 (updated for 5.11.3)

* Sat Nov 21 2009 Paul Howarth <paul@city-fan.org> 2.23-1
- Update to 2.23 (updated for 5.11.2)
- Dist tag for Rawhide no longer needs special-casing

* Thu Oct 22 2009 Paul Howarth <paul@city-fan.org> 2.22-1
- Update to 2.22 (add is_deprecated function and %%deprecated hash)
- New upstream maintainer -> new source URL

* Sat Oct  3 2009 Paul Howarth <paul@city-fan.org> 2.20-1
- Update to 2.20:
  - Update for perl 5.11.1
  - Make Module::Corelist recognise $] as a version number on 5.11.0

* Tue Aug 25 2009 Paul Howarth <paul@city-fan.org> 2.18-1
- Update to 2.18:
  - Update for perl 5.10.1
  - Remove %%patchlevel hash (now that perl uses git and not perforce)
  - Add %%upstream and %%bug_tracker data (Nicholas Clark)
- Define RPM macros in global scope

* Thu Jan 22 2009 Paul Howarth <paul@city-fan.org> 2.17-1
- Update to 2.17

* Thu Nov 13 2008 Paul Howarth <paul@city-fan.org> 2.15-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Wed Apr  2 2008 Paul Howarth <paul@city-fan.org> 2.15-1
- Update to 2.15

* Tue Mar 18 2008 Paul Howarth <paul@city-fan.org> 2.14-1
- Update to 2.14

* Thu Dec 20 2007 Paul Howarth <paul@city-fan.org> 2.13-1
- Update to 2.13
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Thu Jul 12 2007 Paul Howarth <paul@city-fan.org> 2.12-1
- Update to 2.12

* Fri May 11 2007 Paul Howarth <paul@city-fan.org> 2.11-1
- Update to 2.11

* Thu May 10 2007 Paul Howarth <paul@city-fan.org> 2.10-1
- Update to 2.10
- Fix dist tag for Fedora 7 onwards
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::Pod)

* Thu Oct  5 2006 Paul Howarth <paul@city-fan.org> 2.09-1
- Update to 2.09
- Fix argument order for find with -depth

* Fri Sep  8 2006 Paul Howarth <paul@city-fan.org> 2.08-1
- Update to 2.08

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 2.07-2
- Fix distribution tags for development releases

* Thu Aug 10 2006 Paul Howarth <paul@city-fan.org> 2.07-1
- Update to 2.07

* Thu Aug  3 2006 Paul Howarth <paul@city-fan.org> 2.06-1
- Update to 2.06

* Wed Jun  7 2006 Paul Howarth <paul@city-fan.org> 2.05-1
- Update to 2.05

* Fri Feb  3 2006 Paul Howarth <paul@city-fan.org> 2.04-1
- Update to 2.04

* Thu Feb  2 2006 Paul Howarth <paul@city-fan.org> 2.03-1
- Update to 2.03
- Simplify distribution-detection
- Remove __perl_version macro, used only once
- Remove __perl_package macro, used only twice
- Remove perl_vendorarch macro, never used in noarch package
- Use search.cpan.org URLs
- Don't set compiler optimization flags for noarch package
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in build-time command paths, hardcode them instead
- Ensure required directories are owned

* Fri Jun  3 2005 Paul Howarth <paul@city-fan.org> 2.02-1
- Update to 2.02
- Fix License and Group

* Wed May 18 2005 Paul Howarth <paul@city-fan.org> 2.01-1
- Update to 2.01
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Fri Apr 15 2005 Paul Howarth <paul@city-fan.org> 2.00-1
- Update to 2.00
- Use conventional module build process instead of Module::Build

* Wed Feb  9 2005 Paul Howarth <paul@city-fan.org> 1.98-1
- Update to 1.98

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.97-1
- Update to 1.97
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 1.93-1
- Initial build
